> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Field Goal

> Get the active goal for a specific patient+field.



## OpenAPI

````yaml get /user/patient/measurement-goals/{patient_id}/field/{field_id}
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /user/patient/measurement-goals/{patient_id}/field/{field_id}:
    get:
      tags:
        - Patient Measurements
      summary: Get Field Goal
      description: Get the active goal for a specific patient+field.
      operationId: >-
        get_field_goal_user_patient_measurement_goals__patient_id__field__field_id__get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: patient_id
          in: path
          required: true
          schema:
            type: string
            title: Patient Id
        - name: field_id
          in: path
          required: true
          schema:
            type: string
            title: Field Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/MeasurementGoalSchema'
                  - type: 'null'
                title: >-
                  Response Get Field Goal User Patient Measurement Goals 
                  Patient Id  Field  Field Id  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MeasurementGoalSchema:
      properties:
        isComputed:
          type: boolean
          title: Iscomputed
          default: false
        id:
          type: string
          title: Id
        patientId:
          type: string
          title: Patientid
        fieldId:
          type: string
          title: Fieldid
        goalValue:
          anyOf:
            - type: number
            - type: 'null'
          title: Goalvalue
        goalMin:
          anyOf:
            - type: number
            - type: 'null'
          title: Goalmin
        goalMax:
          anyOf:
            - type: number
            - type: 'null'
          title: Goalmax
        label:
          anyOf:
            - type: string
            - type: 'null'
          title: Label
        creatorId:
          anyOf:
            - type: string
            - type: 'null'
          title: Creatorid
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
        isArchived:
          type: boolean
          title: Isarchived
          default: false
      type: object
      required:
        - id
        - patientId
        - fieldId
      title: MeasurementGoalSchema
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````